## com.vividsolutions.jts.algorithm
Class RobustDeterminant

    java.lang.Object
      com.vividsolutions.jts.algorithm.RobustDeterminant

public class RobustDeterminant
extends java.lang.Object

Implements an algorithm to compute the sign of a 2x2 determinant for double precision values robustly. It is a direct translation of code developed by Olivier Devillers.

The original code carries the following copyright notice:

     Author : Olivier Devillers
     Olivier.Devillers@sophia.inria.fr
     http:/www.inria.fr:/prisme/personnel/devillers/anglais/determinant.html

                  Copyright (c) 1995  by  INRIA Prisme Project
                      BP 93 06902 Sophia Antipolis Cedex, France.
                               All rights reserved

Version:
  1.7

Constructor Summary
`RobustDeterminant()`

Method Summary
`static int` `signOfDet2x2(double x1, double y1, double x2, double y2)` Computes the sign of the determinant of the 2x2 matrix with the given entries, in a robust way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobustDeterminant

    public RobustDeterminant()

Method Detail

### signOfDet2x2

    public static int signOfDet2x2(double x1,
                                   double y1,
                                   double x2,
                                   double y2)

  Computes the sign of the determinant of the 2x2 matrix with the given entries, in a robust way.

  Returns:
    -1 if the determinant is negative,